package com.zjinja.mcmod.decor.element_templates.renderer;

import com.zjinja.mcmod.decor.element_base.EBaseTileBlockForResourceSpecifiedRenderer;
import com.zjinja.mcmod.decor.elements.te.TE_RenderResourceSpecifiedTileEntity;
import net.minecraft.block.Block;
import net.minecraft.client.Minecraft;
import net.minecraft.tileentity.TileEntity;
import net.minecraftforge.client.model.obj.WavefrontObject;

public class TileRenderResourceSpecifiedRenderer extends WaveFrontRenderer {

    @Override
    public void renderTileEntityAt(TileEntity te, double x, double y, double z, float scale){
        preRender(x, y, z);
        Block block = te.getWorldObj().getBlock(te.xCoord, te.yCoord, te.zCoord);
        int meta = te.getWorldObj().getBlockMetadata(te.xCoord, te.yCoord, te.zCoord);
        if(te instanceof TE_RenderResourceSpecifiedTileEntity) {
            if (block instanceof EBaseTileBlockForResourceSpecifiedRenderer) {
                EBaseTileBlockForResourceSpecifiedRenderer ebl = (EBaseTileBlockForResourceSpecifiedRenderer) block;
                if(ebl.RenderResourceData != null) {
                    if(ebl.RenderResourceData.RenderModel != null) {
                        if(ebl.RenderResourceData.Texture != null) {
                            Minecraft.getMinecraft().getTextureManager().bindTexture(ebl.RenderResourceData.Texture);
                        }
                        if (ebl.RenderResourceData.RenderModel instanceof WavefrontObject) {
                            render((WavefrontObject) ebl.RenderResourceData.RenderModel, ebl, meta);
                        }
                    }
                }
            }
        }
        postRender();
    }
}
