package com.zjinja.mcmod.decor.elements.te;

import com.zjinja.mcmod.decor.ZJinJaDecoration;
import com.zjinja.mcmod.decor.element_base.EBaseTileBlock;
import com.zjinja.mcmod.decor.misc.RenderResource;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import net.minecraft.block.Block;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.AxisAlignedBB;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.client.model.obj.WavefrontObject;

public class TE_RenderResourceSpecifiedTileEntity extends TileEntity {

    public TE_RenderResourceSpecifiedTileEntity(){
        super();
    }

    @Override
    @SideOnly(Side.CLIENT)
    public AxisAlignedBB getRenderBoundingBox()
    {
        Block b = worldObj.getBlock(xCoord, yCoord, zCoord);
        if(b instanceof EBaseTileBlock){
            return ((EBaseTileBlock) b).getRenderAABB(xCoord, yCoord, zCoord);
        }else {
            return AxisAlignedBB.getBoundingBox(xCoord, yCoord, zCoord, xCoord + 1, yCoord + 1, zCoord + 1);
        }
    }
}
