package com.zjinja.mcmod.decor.gui;

import com.zjinja.mcmod.decor.elements.te.TE_FireExtinguisherBox;
import com.zjinja.mcmod.decor.gui.screens.GuiScrFireExtinguisherBox;
import com.zjinja.mcmod.decor.gui.server.GuiSvrCtnFireExtinguisherBox;
import com.zjinja.mcmod.decor.network.msg.GuiIdDef;
import cpw.mods.fml.common.network.IGuiHandler;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.world.World;

public class GuiHandler implements IGuiHandler {
    @Override
    public Object getServerGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z) {
        if(ID == GuiIdDef.Gui_TileEntity){
            TileEntity tileEntity = world.getTileEntity(x, y, z);
            if(tileEntity instanceof TE_FireExtinguisherBox){
                return new GuiSvrCtnFireExtinguisherBox(player.inventory, (TE_FireExtinguisherBox)tileEntity);
            }
        }
        return null;
    }

    @Override
    public Object getClientGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z) {
        if(ID == GuiIdDef.Gui_TileEntity){
            TileEntity tileEntity = world.getTileEntity(x, y, z);
            if(tileEntity instanceof TE_FireExtinguisherBox){
                return new GuiScrFireExtinguisherBox(player.inventory, (TE_FireExtinguisherBox)tileEntity);
            }
        }
        return null;
    }
}
