package com.zjinja.mcmod.decor.misc;

import com.zjinja.mcmod.decor.ZJinJaDecoration;
import net.minecraft.util.ResourceLocation;

public class RenderResource {
    public ResourceLocation ModelResource;
    public ResourceLocation Texture;
    public Object RenderModel;

    public RenderResource(String ModelPath, String TexturePath){
        LoadResource(ModelPath, TexturePath);
    }

    public RenderResource(){
        ModelResource = null;
        Texture = null;
    }

    public void LoadResource(String ModelPath, String TexturePath){
        ModelResource = new ResourceLocation(ZJinJaDecoration.MODID, ModelPath);
        Texture = new ResourceLocation(ZJinJaDecoration.MODID, TexturePath);
        RegistResource();
    }

    public void LoadBlockResource(String iModelName, String iTextureName){
        String modelloc = "models/blocks/" + iModelName + ".obj";
        String textureloc = "textures/blocks/" + iTextureName + ".png";
        ModelResource = new ResourceLocation(ZJinJaDecoration.MODID, modelloc);
        Texture = new ResourceLocation(ZJinJaDecoration.MODID, textureloc);
        RegistResource();
    }

    public void RegistResource(){
        ZJinJaDecoration.proxy.Registry.RenderModelList.add(this);
    }

    public void LoadBlockResource(String BlockName){
        LoadBlockResource(BlockName, BlockName);
    }
}
