package com.zjinja.mcmod.decor.registers;

import com.zjinja.mcmod.decor.network.msg.MsgFireExtinguishing;
import com.zjinja.mcmod.decor.network.msg.MsgShowBlockInfo;
import cpw.mods.fml.relauncher.Side;

public class UserNetMsgRegistry {
    private GeneralRegister gr;
    private int PkgId = 0;
    public UserNetMsgRegistry(GeneralRegister generalRegister){
        gr = generalRegister;
    }

    public void Regist(){
        gr.simpleNetworkWrapper.registerMessage(
                MsgFireExtinguishing.Handler.class,
                MsgFireExtinguishing.class,
                PkgId++,
                Side.SERVER
        );
        gr.simpleNetworkWrapper.registerMessage(
                MsgShowBlockInfo.Handler.class,
                MsgShowBlockInfo.class,
                PkgId++,
                Side.SERVER
        );
    }
}
