package com.zjinja.mcmod.decor.element_base;

import com.zjinja.mcmod.decor.ZJinJaDecoration;
import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.creativetab.CreativeTabs;

public class EBaseBlock extends Block {
    public EBaseBlock(Material material) {
        super(material);
    }

    public void Regist(String blockName, CreativeTabs creativeTabs[]){
        setBlockName(blockName);
        setBlockTextureName(ZJinJaDecoration.MODID + ":" + blockName.toLowerCase());
        if(creativeTabs != null) {
            for (CreativeTabs iv: creativeTabs) {
                setCreativeTab(iv);
            }
        }
    }

    public void setBasicProperty(float hardness, float lightLevel, float resistance, SoundType stepSoundType){
        setHardness(hardness);
        setLightLevel(lightLevel);
        setResistance(resistance);
        setStepSound(stepSoundType);
    }

}
