package com.zjinja.mcmod.decor.element_templates.renderer;

import com.zjinja.mcmod.decor.elements.blocks.B_ExitSignWithSensor;
import com.zjinja.mcmod.decor.elements.blocks.B_ManholeCover;
import com.zjinja.mcmod.decor.elements.te.TE_ExitSignWithSensor;
import net.minecraft.block.Block;
import net.minecraft.client.Minecraft;
import net.minecraft.tileentity.TileEntity;
import net.minecraftforge.client.model.obj.WavefrontObject;

public class RTE_ManholeCover extends WaveFrontRenderer {

    @Override
    public void renderTileEntityAt(TileEntity te, double x, double y, double z, float scale){
        preRender(x, y, z);
        Block block = te.getWorldObj().getBlock(te.xCoord, te.yCoord, te.zCoord);
        int meta = te.getWorldObj().getBlockMetadata(te.xCoord, te.yCoord, te.zCoord);
        if (block instanceof B_ManholeCover){
            B_ManholeCover bmc = (B_ManholeCover)block;
            if(meta > 3 && meta < 8){
                if(bmc.OpenRR != null){
                    if(bmc.OpenRR.Texture != null){
                        Minecraft.getMinecraft().getTextureManager().bindTexture(bmc.OpenRR.Texture);
                    }
                    if(bmc.OpenRR.RenderModel instanceof WavefrontObject){
                        render((WavefrontObject) bmc.OpenRR.RenderModel, bmc, meta);
                    }
                }
            }else{
                if(bmc.CloseRR != null){
                    if(bmc.CloseRR.Texture != null){
                        Minecraft.getMinecraft().getTextureManager().bindTexture(bmc.CloseRR.Texture);
                    }
                    if(bmc.CloseRR.RenderModel instanceof WavefrontObject){
                        render((WavefrontObject) bmc.CloseRR.RenderModel, bmc, meta);
                    }
                }
            }
        }
        postRender();
    }
}
