package com.zjinja.mcmod.decor.elements.items;

import com.zjinja.mcmod.decor.ZJinJaDecoration;
import com.zjinja.mcmod.decor.element_base.EBaseItem;
import com.zjinja.mcmod.decor.network.msg.MsgFireExtinguishing;
import com.zjinja.mcmod.decor.network.msg.MsgShowBlockInfo;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class I_BlockInfoTerm extends EBaseItem {
    public I_BlockInfoTerm(){
        setMaxStackSize(1);
        setTextureName(String.format("%s:%s", ZJinJaDecoration.MODID, "blockinfoterm"));
        setMaxDamage(20);
    }

    @Override
    public boolean onItemUseFirst(ItemStack stack, EntityPlayer player, World world, int x, int y, int z, int side, float hitX, float hitY, float hitZ)
    {
        if(world.isRemote) {
            ZJinJaDecoration.proxy.Registry.simpleNetworkWrapper.sendToServer(new MsgShowBlockInfo(x, y, z));
            return true;
        }else {
            return true;
        }
    }
}
