package com.zjinja.mcmod.decor.elements.items;

import com.zjinja.mcmod.decor.ZJinJaDecoration;
import com.zjinja.mcmod.decor.element_base.EBaseItem;
import com.zjinja.mcmod.decor.network.msg.MsgFireExtinguishing;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class I_FireExtinguisher extends EBaseItem {
    public I_FireExtinguisher(){
        setMaxStackSize(64);
        setTextureName(String.format("%s:%s", ZJinJaDecoration.MODID, "fireextinguisher"));
        setMaxDamage(20);
    }

    @Override
    public boolean onItemUseFirst(ItemStack stack, EntityPlayer player, World world, int x, int y, int z, int side, float hitX, float hitY, float hitZ)
    {
        if(world.isRemote) {
            ZJinJaDecoration.proxy.Registry.simpleNetworkWrapper.sendToServer(new MsgFireExtinguishing(x, y, z, side));
            return true;
        }else {
            return true;
        }
    }
}
