package com.zjinja.mcmod.decor.utils.model_dir_util;

import net.minecraft.util.MathHelper;

public class OffsetVector {
    public float X = 0.0F;
    public float Y = 0.0F;
    public float Z = 0.0F;

    public OffsetVector(float rx, float ry, float rz){
        X = rx;
        Y = ry;
        Z = rz;
    }

    public OffsetVector(){
        this(0, 0, 0);
    }

    public int getIntX(){
        return MathHelper.floor_float(X);
    }

    public int getIntY(){
        return MathHelper.floor_float(Y);
    }

    public int getIntZ(){
        return MathHelper.floor_float(Z);
    }
}
